Endpoints for managing DNS.
List DNS records
List all DNS records for the domain.
You can only manage DNS records for domains that use hosted DNS.
path Parameters
domainNameOrIdfull domain name or ID
query Parameters
querySearch query.
sortSort by up to five fields, separated by commas. Prefix a field with - for descending order.
pageper_pageSearch metadata key-value pairs. Only exact matches are supported.
List DNS records › Responses
Paginated set of DNSRecord
Create DNS record
Create a single DNS record for the domain.
You can only manage DNS records for domains that use hosted DNS.
path Parameters
domainNameOrIdfull domain name or ID
Create DNS record › Request Body
typecontentttlThe record TTL in seconds. Supported values are 60, 300, 900, 1800, 3600, 21600, 43200, 86400, 172800, 259200, 604800, 1209600, and 2592000.
You may also pass any integer between 60 and 2592000. It will be adjusted to the closest supported TTL before the record is saved.
namepriocommentOptional metadata to attach to the record. Metadata keys must be strings and cannot exceed 40 characters or contain [ or ] characters.
Metadata values must be strings and cannot exceed 500 characters.
A record cannot have more than 50 metadata keys.
Create DNS record › Responses
DNSRecord
Show DNS record
Show a single DNS record for the domain.
You can only manage DNS records for domains that use hosted DNS.
path Parameters
domainNameOrIdfull domain name or ID
dnsRecordIdShow DNS record › Responses
DNSRecord
Update DNS record
Update a single DNS record for the domain.
You can only manage DNS records for domains that use hosted DNS.
path Parameters
domainNameOrIdfull domain name or ID
dnsRecordIdUpdate DNS record › Request Body
typecontentttlThe record TTL in seconds. Supported values are 60, 300, 900, 1800, 3600, 21600, 43200, 86400, 172800, 259200, 604800, 1209600, and 2592000.
You may also pass any integer between 60 and 2592000. It will be adjusted to the closest supported TTL before the record is saved.
namepriocommentOptional metadata to attach to the record. Metadata keys must be strings and cannot exceed 40 characters or contain [ or ] characters.
Metadata values must be strings and cannot exceed 500 characters.
A record cannot have more than 50 metadata keys.
To remove a metadata key, set its value to an empty string.
To remove all metadata, set the metadata field to an empty object: {}.
Update DNS record › Responses
DNSRecord
Copy DNS records from another hosted zone
Replace all DNS records for the destination domain with copies from another hosted DNS domain owned by the authenticated team. Only the record type, name, content, TTL, priority, and comment are copied. Hostname targets within the source zone are rewritten for the destination zone.
The records are replaced immediately. Allow time for the DNS changes to become visible.
This operation is irreversible and will replace all DNS records in the destination zone.
path Parameters
domainNameOrIddestination full domain name or ID
Copy DNS records from another hosted zone › Request Body
source_domainThe source full domain name or Domain Chief domain ID.
Copy DNS records from another hosted zone › Responses
The destination records were replaced and DNS publication was accepted.
copied_recordssource_domaindestination_domainClear DNS records
Remove all DNS records for the domain.
If redirects (web or mail) are configured, their records will still be present after the reset.
You can only manage DNS records for domains that use hosted DNS.
This operation is irreversible and will remove all DNS records.
path Parameters
domainNameOrIdfull domain name or ID
Clear DNS records › Responses
No content
Reset DNS records
Reset all DNS records for the domain to the default settings.
You can only manage DNS records for domains that use hosted DNS.
This operation is irreversible and will reset all DNS records the their Domain Chief default settings.
path Parameters
domainNameOrIdfull domain name or ID
Reset DNS records › Responses
No content